/*
 * @Author: 赵伟
 * @Date: 2024-11-18 10:18:27
 * @Description: 自动机器学习请求
 */

import { request } from '@umijs/max';


// 分页查询自动学习
export function getAutoMLListReq(params) {
  return request(`/api/mmp/autoML`, {
    method: 'GET',
    params,
  });
}

// 查询自动学习详情
export function getAutoMLInfoReq(params) {
  return request(`/api/mmp/autoML/getAutoMlDetail`, {
    method: 'GET',
    params,
  });
}

// 新增自动学习
export function addAutoMLReq(data) {
  return request(`/api/mmp/autoML`, {
    method: 'POST',
    data,
  });
}

// 编辑自动学习
export function updateAutoMLReq(data) {
  return request(`/api/mmp/autoML`, {
    method: 'PUT',
    data,
  });
}

// 删除自动学习
export function deleteAutoMLReq(id) {
  return request(`/api/mmp/autoML/${id}`, {
    method: 'DELETE',
  });
}

// 运行自动学习
export function runAutoMLReq(id) {
  return request(`/api/mmp/autoML/run/${id}`, {
    method: 'POST',
  });
}

// ----------------------- 实验实例 -----------------------
// 获取实验实例列表
export function getExperimentInsListReq(params) {
  return request(`/api/mmp/autoMLIns`, {
    method: 'GET',
    params,
  });
}

// 查询实验实例详情
export function getExperimentInsReq(id) {
  return request(`/api/mmp/autoMLIns/${id}`, {
    method: 'GET',
  });
}

// 停止实验实例
export function stopExperimentInsReq(id) {
  return request(`/api/mmp/autoMLIns/${id}`, {
    method: 'PUT',
  });
}

// 删除实验实例
export function deleteExperimentInsReq(id) {
  return request(`/api/mmp/autoMLIns/${id}`, {
    method: 'DELETE',
  });
}

// 批量删除实验实例
export function batchDeleteExperimentInsReq(data) {
  return request(`/api/mmp/autoMLIns/batchDelete`, {
    method: 'DELETE',
    data
  });
}

